.courriers--container {
    padding: 1rem 3.5rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    animation: animationEnter 0.5s ease-in-out;
}

.top--content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.top--content h1 {
    font-family: var(--title-font);
    font-weight: 400;
    font-size: 2rem;
    text-transform: uppercase;
}

.change--type {
    position: relative;
}

.change--type--desktop {
    display: none;
}

.change--content {
    display: flex;
    align-items: center;
    gap : .1rem;
    font-size: 1.3rem;
    font-family: 'Lora', serif;
    cursor: pointer;
}

.all--type {
    position: absolute;
    bottom: 0;
    right: -10px;
    transform: translate(-10px , 105%);
    display: none;
    flex-direction: column;
    gap: .8rem;
    transition: all .3s ease-in-out;
    background-color: white;
    border: 1px solid #f1f1f1;
    box-shadow: 0 10px 15px -3px rgba(0,0,0,0.1);
    padding: 0.8rem 1rem;
    border-radius: 0.5rem;
    z-index: 998;
    width: 115%;
}

.all--type--desktop {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.active--type--select {
    display: flex;
}

.one--type {
    list-style: none;
    width: 100%;
    text-align: center;
}

.one--type--desktop {
    list-style: none;
    width: 100%;
    text-align: center;
}

.one--type--desktop a {
    display: block;
    width: 100%;
    color: darkgray;
    text-decoration: none;
    font-family: 'Lora', serif;
    font-size: 1.2rem;
    padding: 0 .1rem;
}

.one--type--desktop a:hover {
    color: black;
}

.one--type a {
    color: black;
    text-decoration: none;
    font-family: 'Lora', serif;
    font-size: 1.1rem;
    padding: 0 1rem;
}

.is--item--desktop {
    border-bottom: 2px solid var(--primary-color);
    color: black !important;
    font-size: 1.2rem !important;
}

.one--type a:hover {
    background-color: #f3f0f0;
    width: 100%;
    border-radius: 4px;
}

.enter--text {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.enter--text--content {
    white-space: pre-line;
    line-height: 25px;
}

.alert {
    font-size: .9rem;
    color: var(--primary-color);
    font-style: italic;
}

.courriers--content {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.one--accordion {
    display: flex;
    flex-direction: column;
    gap: .3rem;
    margin-left: 1rem;
}

.accordion {
    background-color: transparent;
    color: #444;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    text-align: left;
    border: none;
    outline: none;
    transition: 0.4s;
    font-size: 1rem;
    font-weight: 600;
    border-left: 1px solid #e1e1e1;
}

.accordion h2 {
    float: left;
    font-size: 1.5rem;
    font-weight: 500;
}

.active--accordion, .accordion:hover {
    background-color: #f5f5f5;
}

.panel {
    padding: 0 18px;
    background-color: white;
    max-height: 0;
    overflow: hidden;
    transition: all 0.2s ease-out;
}

table {
    width: 100%;
    margin-top: 1.5rem;
}

tbody {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

tr {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid #e5e5e5;
    padding-bottom: .5rem;
}

td {
    width: calc(100%/3);
}

.date {
    text-align: end;
}

.accordion:after {
    content: '\02795';
    font-size: 13px;
    color: #c0c0c0;
    float: right;
    margin-left: 5px;
}

.active--accordion:after {
    content: "\2796";
}

@media (max-width: 650px) {

    .courriers--container {
        padding: 1.5rem;
        gap: 1rem;
    }

    .top--content {
        flex-direction: column;
        gap: 1.5rem;
    }

    .accordion h2 {
        font-size: 1.2rem;
    }

    .one--accordion {
        margin: 0;
    }

    .panel {
        padding: 0 5px;
        width: 100%;
        overflow-x: scroll;
    }

    table {
        min-width: 600px;
    }

    tbody {
        min-width: 500px;
    }

    .active--accordion ~ .panel {
        max-height: 90vh !important;
        overflow-y: scroll;
    }

    .active--accordion ~ .panel::-webkit-scrollbar {
        width: 0;
    }
}

@media (min-width: 800px) {
    .change--type {
        display: none;
    }

    .change--type--desktop {
        display: block;
    }
}
